summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHorea Christian <horea.christ@yandex.com>2018-07-19 22:39:07 +0200
committerPatrice Clement <monsieurp@gentoo.org>2018-07-21 23:56:03 +0200
commit37d43e599814fa0b985d39f297c6921e6fbea517 (patch)
treefe25ba8f498f4d1442ccfd246bf1231ef73100ef
parentgames-fps/yamagi-quake2: remove old. (diff)
downloadgentoo-37d43e599814fa0b985d39f297c6921e6fbea517.tar.gz
gentoo-37d43e599814fa0b985d39f297c6921e6fbea517.tar.bz2
gentoo-37d43e599814fa0b985d39f297c6921e6fbea517.zip
dev-python/seaborn: version bump.
Package-Manager: Portage-2.3.43, Repoman-2.3.10 Closes: https://bugs.gentoo.org/659868 Closes: https://github.com/gentoo/gentoo/pull/9290
-rw-r--r--dev-python/seaborn/Manifest1
-rw-r--r--dev-python/seaborn/seaborn-0.8.1.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/seaborn/Manifest b/dev-python/seaborn/Manifest
index c6bd8a93687..11c027d3523 100644
--- a/dev-python/seaborn/Manifest
+++ b/dev-python/seaborn/Manifest
@@ -1 +1,2 @@
DIST seaborn-0.7.1.tar.gz 158146 BLAKE2B f547e41306634f41091ca5641319abcdb1d22359d67591f115009cd95cdf50463e3683fb1ac911ff9dee3d7628320a76fbcbaa9c91510937907a40a0daa259c4 SHA512 6c730d87a97f0df3b38b78ee9255d47b900aece1308127e2772dc982b19691efe6afe192752c89cba9e9532b567dc1c3c103675e580e6f1151355ea89d1019b3
+DIST seaborn-0.8.1.tar.gz 178865 BLAKE2B 7f81e0737331edac805e88183f387ccde38d4b27d601e43462342855cdfe245cf1c721ef03ae7cd1b23cc6641e20d51f38bba6c8ffc4a9621b069c6528d0249a SHA512 05ed621c2624b4b981118f9e6100f593ab23620e8f86c82b55a298944135f3286798d5cdc6c215c134f2fdecf9b3a7631be8c5136c0dafaf1f97f05f7c6739d7
diff --git a/dev-python/seaborn/seaborn-0.8.1.ebuild b/dev-python/seaborn/seaborn-0.8.1.ebuild
new file mode 100644
index 00000000000..f7f36034b4f
--- /dev/null
+++ b/dev-python/seaborn/seaborn-0.8.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Statistical data visualization"
+HOMEPAGE="https://seaborn.pydata.org https://github.com/mwaskom/seaborn"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/patsy[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ cat > matplotlibrc <<- EOF || die
+ backend : Agg
+ EOF
+ virtx nosetests --verbosity=3 || die
+}